Subject: RE: bug#21643: 25.0.50; Error "<nil> <down-mouse-1> is undefined"

From: Drew Adams <[email-masked]>
Date: Thu, 8 Oct 2015 13:40:47 -0700 (PDT)

> Thanks.  There's clearly some display bug that shows in the
> minibuffer
> frame: look carefully and you will see that the fringes and the
> scroll
> bar only extend for a single line there.  The second line is some
> kind
> of "no-man's land", which explains the "nil" part in the mouse
> event.
> 
> If you drag the lower edge of the minibuffer frame by even a single
> pixel, then return it back to its original (or even smaller) height,
> the problem with the fringes goes away, and so does the problem with
> the mouse click.

Yes, I figured nearly as much, even in my setup (where I don't show fringe).

FWIW, in Emacs 19 there was such a no-man's land underneath each scroll
bar (everywhere, not minibuffer frame).  And I used that "feature" by
binding keys there.  I was disappointed when this "feature" was removed. ;-)

This is the code I used for that:

;;;   ;; These [nil] bindings are no doubt a HACK, based on an
;;;   ;; undocumented handy "feature".  (This works in Emacs 19.34.6,
;;;   ;; but it doesn't work in Emacs 20.6.)  In Windows, at least,
;;;   ;; such a key sequence [nil...] occurs if you click in the
;;;   ;; lower right corner, between the scroll bar and the mode-line.
;;;   ;;
;;;   (global-set-key [nil down-mouse-1] 'fit-frame)
;;;   (global-set-key [nil mouse-1] 'ignore)
;;;   (global-set-key [nil C-down-mouse-1] 'show-hide)
;;;   (global-set-key [nil C-mouse-1] 'ignore)
;;;   (global-set-key [nil S-down-mouse-1] 'iconify-everything)
;;;   (global-set-key [nil S-mouse-1] 'ignore)

I had a hunch that this <nil> was akin to the nil in that feature.

> I will take a look.

Thank you.

> Martin, this looks somewhat similar to the problem you solved the
> other day, whereby "M-x" echo would not be visible.  So maybe you
> could look into this as well, if you have time.